-- MASTER USER
DROP USER 'smartdata'@'localhost';
CREATE USER 'smartdata'@'localhost' IDENTIFIED BY 'PASSWORD';
GRANT SELECT, INSERT, UPDATE ON smartdata_v1.* TO 'smartdata'@'localhost';
GRANT EXECUTE ON FUNCTION smartdata_v1.counter TO 'smartdata'@'localhost';
GRANT SELECT, INSERT, UPDATE ON smartdata.* TO 'smartdata'@'localhost';
GRANT EXECUTE ON FUNCTION smartdata.counter TO 'smartdata'@'localhost';
FLUSH PRIVILEGES;

-- READ ONLY USER
DROP USER 'smartdata_readonly'@'localhost';
CREATE USER 'smartdata_readonly'@'localhost' IDENTIFIED BY 'PASSWORD';
GRANT SELECT ON smartdata_v1.* TO 'smartdata_readonly'@'localhost';
FLUSH PRIVILEGES;

./command.php create domain <domain>
GRANT MODIFY ON <domain>_v1_2_si TO hydro;
GRANT MODIFY ON <domain>_v1_2_digital TO hydro;
GRANT MODIFY ON <domain>_v1_1_si TO hydro;
GRANT MODIFY ON <domain>_v1_1_digital TO hydro;
GRANT SELECT ON <domain>_v1_2_si TO hydro;
GRANT SELECT ON <domain>_v1_2_digital TO hydro;
GRANT SELECT ON <domain>_v1_1_si TO hydro;
GRANT SELECT ON <domain>_v1_1_digital TO hydro;
GRANT SELECT ON <domain>_v1_2_si TO public;
GRANT SELECT ON <domain>_v1_2_digital TO public;
GRANT SELECT ON <domain>_v1_1_si TO public;
GRANT SELECT ON <domain>_v1_1_digital TO public;