#!/bin/bash
mkdir dev-certificates
CERT_DATA=`docker compose exec -it web /certmanager/genclient.sh "$@" | tail -n 1`
echo "Received $CERT_DATA"
CERT_ID=`echo $CERT_DATA | cut -f 1 -d \ `
CERT_FILE=`echo $CERT_DATA | cut -f 2 -d \ `
CERT_KEY=`echo $CERT_DATA | cut -f 3 -d \ `
docker compose cp web:/certmanager/certificates/$CERT_FILE ./dev-certificates/
docker compose cp web:/certmanager/certificates/$CERT_KEY ./dev-certificates/
echo "Certificate at ./dev-certificates/$CERT_FILE with key ./dev-certificates/$CERT_KEY and id $CERT_ID"