'use strict';

System.register(['./datasource', './query_ctrl'], function (_export, _context) {
  "use strict";

  var SmartDataDS, SmartDataDSQueryCtrl, GenericConfigCtrl;

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  return {
    setters: [function (_datasource) {
      SmartDataDS = _datasource.SmartDataDS;
    }, function (_query_ctrl) {
      SmartDataDSQueryCtrl = _query_ctrl.SmartDataDSQueryCtrl;
    }],
    execute: function () {
      _export('ConfigCtrl', GenericConfigCtrl = function GenericConfigCtrl() {
        _classCallCheck(this, GenericConfigCtrl);
      });

      GenericConfigCtrl.templateUrl = 'partials/config.html';

      _export('Datasource', SmartDataDS);

      _export('QueryCtrl', SmartDataDSQueryCtrl);

      _export('ConfigCtrl', GenericConfigCtrl);
    }
  };
});
//# sourceMappingURL=module.js.map
