import math

class S_Curve:
    def __init__(self, cut_in, max_speed, cut_out, max_power,slope=1):
        self.cut_in = cut_in
        self.max_speed = max_speed
        self.cut_out = cut_out
        self.max_power = max_power
        self.slope = slope

    def s_curve_sigmoid(self, x):
        if(x <= self.cut_out) :
            b = (self.max_speed + self.cut_in)/2.; #curve mid point in x axis
            a = self.slope; #curve inclination = slope
            return self.max_power / (1.0 + math.exp(-a*x + a*b));
        else :
            return 0

#For fft use: "from scipy import fft, ifft"
