<?php

namespace SmartData;

require_once('../bin/smartdata/SmartAPI.php');
require_once('../bin/smartdata/Logger.php');
require_once('../bin/smartdata/SmartData.php');
require_once('../bin/smartdata/MultiSmartData.php');


use SmartData\Exception\{AuthenticationException, BadRequestException, InternalException};

http_response_code(HttpStatusCode::BAD_REQUEST);

try {
} catch (Exception\CustomException $e) {
    http_response_code($e->getHTTPCodeError());
    error_log($e);
    header('X-Message: ' . $e->getMessage(), false);
    return false;
} catch (\Exception $e) {
    http_response_code(HttpStatusCode::BAD_REQUEST);
    error_log($e);
    header('X-Message: ' . $e->getMessage(), false);
    return false;
}

http_response_code(HttpStatusCode::NO_CONTENT);
