#!/usr/bin/env python3
import json, requests, ssl
from datetime import datetime
from datetime import timedelta
import urllib3
urllib3.disable_warnings(urllib3.exceptions.InsecureRequestWarning)
import numpy
import wavio

get_url ='https://iot.lisha.ufsc.br/api/get.php'
#get_url ='https://localhost/api/get.php'

MY_CERTIFICATE = ['client-42-A7B64D415BD3E9A6.pem', 'client-42-A7B64D415BD3E9A6.key']
#---------------------#---------------------#---------------------#---------------------#---------------------#
""" 
| 502729900 | -389422600 | -49018300 | OK
| 502732700 | -389317100 | -49815500 | OK
| 502756900 | -389391600 | -48987500 | OK
| 502770900 | -389365500 | -49051200 |
"""
X = 502770900
series = {
	    'series' :
	    {
            'version' : 1.1,
	        'unit' : 0x848EA924,
	        'x' : X,
	        'y' : -389365500,
	        'z' : -49051200,
	        'r' : 10,
            'type' : 'OLD',
            'period' : 0,
            't0' : 1420070400000000,
            't1' : 1420156800000000,
            'dev': 99991581,
            'workflow' : 0,
	    },
        "credentials" : {
        "domain"   : "aqtech",
        "username" : "aqtech",
        "password" : "jP#55Mh@"
	}
}
#---------------------#---------------------#---------------------#---------------------#---------------------#

if(__name__ == '__main__'):
    session = requests.Session()
    session.headers = {'Content-type' : 'application/json'}
    d1 = datetime.fromtimestamp(1632636963)
    vals = []
    prevTS = 0
    while (d1 < datetime.now()):
        d2 = d1 + timedelta(days=1) - timedelta(seconds=0.00005)
        series['series']['t0'] = int(d1.timestamp() * 1000000);
        series['series']['t1'] = int(d2.timestamp() * 1000000);
        print("Get interval: ",int(d1.timestamp() * 1000000),int(d2.timestamp() * 1000000))
        response = session.post(get_url, json.dumps(series), verify=False)
        js = json.loads( response.content )
        print("get:len(js['series'])", str(response.status_code), "] ")
        tam = len(js['series'])
        print('Points: ', tam)
        if tam == 0 : 
            d1 = d2 + timedelta(seconds=0.00005)
        else:
            for dp in js['series']:
                ts = dp['timestamp']
                value = numpy.float32(dp['value'])
                if (ts - prevTS) > 80 :
                    if (len(vals) > 0) :
                        wavio.write('/smartdata/wavs/mic_'+str(X)+"_"+
                                    str(first_ts)+'.wav', numpy.array(vals), 20000, sampwidth=4)
                    first_ts = ts
                    vals = []
                vals.append(value)
                prevTS = ts
            d1 = datetime.fromtimestamp((prevTS + 50)/1000000.0)
#---------------------#---------------------#---------------------#---------------------#---------------------#
