<?php

namespace SmartDataContext\Persistence;

use MongoDB\Client;

class DBManager {

    static function GetMongoDBConnection() {
        $MONGO_HOST=getenv("MONGO_HOST") ? getenv("MONGO_HOST") : 'localhost';
        $MONGO_DB=getenv("MONGO_DATABASE") ? getenv("MONGO_DATABASE") : 'smartdatacontext';
        $MONGO_PORT=getenv("MONGO_PORT") ? getenv("MONGO_PORT") : 27017;
        $MONGO_USER=getenv("MONGO_USER") ? getenv("MONGO_USER") : "smartdatacontext";
        $MONGO_PASSWORD=getenv("MONGO_PASSWORD") ? getenv("MONGO_PASSWORD") : "smartdatacontext";
        return (new Client("mongodb://$MONGO_HOST:$MONGO_PORT/?authSource=$MONGO_DB", [
            "username" => $MONGO_USER,
            "password" => $MONGO_PASSWORD
        ]))->selectDatabase($MONGO_DB);
    }

}
