from common.PlatformManagement import PlatformManagement
import time
client = PlatformManagement()

domain = 'test' + str(int(time.time()))
assert not client.domainExists(domain), 'Dominio Não Deveria Existir'

assert client.createDomain(domain), 'Dominio deveria ter sido criado'

cert = client.createCertificate()
assert cert['serial'], 'Deveria ter criado um certificado com um serial la dentro'

r = client.associateCertificate(domain, cert['serial'])
assert r, 'Deveria ter associado o certificado'

r = client.generateCredentials(domain)
assert r['serial'], 'Deveria ter retornado um certificado com Serial'

dominios = client.listDomains()
assert dominios, "Deveria retornar pelo menos um dominio"

r = next((item for item in dominios if item["Domain"] == domain), None)
assert r, 'Deveria achar o dominio criado na lista de dominios'

assert r['certs'] == 2, 'Deveria ter 2 certificados neste dominio'

assert client.domainExists(domain), 'Dominio Deveria Existir'

r = client.deleteDomain(domain)
assert r, 'Deveria ter removido o dominio'
assert not client.domainExists(domain), 'Dominio Não Deveria Existir'
